Subject: [LON-CAPA-dev] First pass at email

From: Guy Albertelli II <[email-masked]>
Date: Fri, 13 Dec 2002 14:48:10 -0500 (EST)

Hi All,

First pass at the 0.6 announce email, I still need to finish the KRB5
stuff, and I 'd like it if anyone had suggestion on the Notable
Changes section.

New Version 0.6 Released

-255 Defects and enhancement requests done
http://bugs.loncapa.org/buglist.cgi?bug_status=RESOLVED&resolution=FIXED&chfield=bug_status&chfieldfrom=Aug.+21&chfieldto=Dec.+12&cmdtype=doit

Notable Changes and Enhacements:
- spreadsheet twice as fast
- improved page design
- new version of tth, looks better, supports Mozilla and Netscape 6+
- printing significantly better
- New 'DOCS' button supports uploading resources without being an author
  and allows multiple toplevel maps
- System makes generating Syllabus, Bulletin Board, 'About Me'
  and other course pages simple
- Improved Navmaps screen clearer
- 'quickgrade' view makes it easier for student to see how much
  they have completed
- Prettier/more functional problem editor
- Randomlabel better/faster display
- More functions available to problem writers
- Better <optionreposne> control display of dropdown box and order 
  randomization

To install this update:
1) Verify that you have version 3.5 of the LON-CAPA-sytemperl rpm
installed

$ rpm -q LON-CAPA-systemperl
LON-CAPA-systemperl-3.5-1

If it doesn't say that you will need to install it:

If you are running RedHat 6.2 get
http://install.loncapa.org/3.1/latestRPMS/LON-CAPA-systemperl-3.5-1.i386.rpm

If you are running RedHat 7.[0,1,2,3] get
http://install.loncapa.org/3.1/latestRPMS/LON-CAPA-systemperl-3.5-rh7.i386.rpm

Install it by doing:
rpm -Uvh --force LON-CAPA-systemperl-3.5-1.i386.rpm
or
rpm -Uvh --force LON-CAPA-systemperl-3.5-rh7.i386.rpm

2) You will need to have the Kerberos 5 rpms install

FIXEME
instdir/krb5-devel-1.2.4-3.i386.rpm

3) Download the new LON-CAPA tarball from
wget http://install.lon-capa.org/versions/loncapa-0.6.tar.gz

and untar it

tar xzvf loncapa-0.6.tar.gz

3) Run the UPDATE script as root
cd loncapa-0.6
su
./UPDATE

4) restart the system services
/etc/rc.d/init.d/loncontrol stop
/etc/rc.d/init.d/loncontrol start
/etc/rc.d/init.d/httpd stop
/etc/rc.d/init.d/httpd start

----NOTES
1) Many questions are answered at http://help.lon-capa.org
2) Defects reports, and enhancements requests can be entered at
   http://bugs.lon-capa.org
3) Mailing lists can be joined and left at http://mail.lon-capa.org

-- 
[email-masked]          BM: n^20 t20 z20 qS 
Guy Albertelli -7-7-7-  O-
    I honor my personality flaws, for without them I would have no
    personality at all.